### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions
TsiveriotisFernandesLattice< T > Class Template Reference
Lattice methods

Binomial lattice approximating the Tsiveriotis-Fernandes model. More...

`#include <ql/experimental/convertiblebonds/tflattice.hpp>`

Inheritance diagram for TsiveriotisFernandesLattice< T >:
[legend]

List of all members.

## Public Member Functions

| TsiveriotisFernandesLattice (const boost::shared_ptr< T > &tree, Rate riskFreeRate, Time end, Size steps, Spread creditSpread, Volatility volatility, Spread divYield)
Spread | creditSpread () const

## Protected Member Functions

void | stepback (Size i, const Array &values, const Array &conversionProbability, const Array &spreadAdjustedRate, Array &newValues, Array &newConversionProbability, Array &newSpreadAdjustedRate) const
void | rollback (DiscretizedAsset &, Time to) const
void | partialRollback (DiscretizedAsset &, Time to) const

## Detailed Description

### template<class T>
class QuantLib::TsiveriotisFernandesLattice< T >

Binomial lattice approximating the Tsiveriotis-Fernandes model.

## Member Function Documentation

void rollback | ( | DiscretizedAsset & | ,
|  | Time | to
| ) |  | const`[protected, virtual]`

Roll back an asset until the given time, performing any needed adjustment.

Reimplemented from TreeLattice< BlackScholesLattice< T > >.

void partialRollback | ( | DiscretizedAsset & | ,
|  | Time | to
| ) |  | const`[protected, virtual]`

Roll back an asset until the given time, but do not perform the final adjustment.

Warning:
  In version 0.3.7 and earlier, this method was called rollAlmostBack method and performed pre-adjustment. This is no longer true; when migrating your code, you'll have to replace calls such as:

                         method->rollAlmostBack(asset,t);

with the two statements:

                         method->partialRollback(asset,t);
                         asset->preAdjustValues();

Reimplemented from TreeLattice< BlackScholesLattice< T > >.